function [alpha, beta, gamma] = AlphaBetaGamma(the,PQ,abg)
%Function returning the value of Alpha, Beta, Gamma coefficients
%for the current value of theta and the coefficients of the reduced
%holonomic constraints.
%
%[ Alpha, Beta, Gamma ] = AlphaBetaGamma( th, PQ )
%th... theta value, measurement of progress
%PQ... Coefficients of the reduced holonomic constraints.
%returns
%Alpha, Beta, Gamma values for given iteration of the solver
 
[l, s, m, I_m, I_r, N, g] = RobotParameters();

alpha_f = abg{1};
beta_f = abg{2};
gamma_f = abg{3};

alpha = alpha_f(l,m,s,I_r,PQ,the);
beta = beta_f(l,m,s,I_r,PQ,the);
gamma = gamma_f(l,m,s,g,PQ,the);