function [PQ] = Bezier(P,theta0,thetae,Dyn_Syst)
%Function calculating the polynomial parameters of the VHC from a given
%position matrix and starting and ending points for theta.
%Input...
%P... Positional Matrix
%theta0... Starting value for theta-->exact
%thetae... Ending value for theta, not necessarily exact
%Dyn_Syst...cell containing the function handles to the dynamic system, in
%this case to our Bezier function.
%Output...
%PQ... Matrix containing the parameters for 

Bez = Dyn_Syst{5};
params = 4;

for i=1:params,
        PQ(i,:) = Bez(P(i,:),theta0,thetae); 
end

end

