function [sol] = CartDynamicsEquation(tspan,x0,dx0,G_funcs)

Alpha = G_funcs{4};
Beta = G_funcs{5};
Gamma = G_funcs{6};
L = 0.15;
g = 9.81;

REFINE = 4;
options = odeset('Refine',REFINE);
[ sol.t,sol.y ] = ode45(@DynamicsEquations, tspan, [x0 dx0], options);

function [dx] = DynamicsEquations(t, x)
        x_temp = x(1);
        dx_temp =x(2);
        ddx = -(Beta(x_temp,L)*dx_temp^2+Gamma(x_temp,L,g))/Alpha(x_temp,L);
        dx = [dx_temp;ddx];
end

end

