%TEST SYSTEM FOR TRANSVERSE LINEARIZATION%

%Mupadhandler
nb = mupad('Cart_Pendulum_testsystem_for_transverse_linearization.mn');

%Accessing g function

g_y_temp = getVar(nb,'g_y');
g_dy_temp = getVar(nb,'g_dy');
g_ddy_temp = getVar(nb,'g_ddy');
Alpha_temp = getVar(nb,'Alp');
Beta_temp = getVar(nb,'Bet');
Gamma_temp = getVar(nb,'Gam');

g_y = matlabFunction(g_y_temp,'vars',{'x','ddx','L','g'});
g_dy = matlabFunction(g_dy_temp,'vars',{'x','ddx','L','g'});
g_ddy = matlabFunction(g_ddy_temp,'vars',{'x','ddx','L','g'});
Alpha = matlabFunction(Alpha_temp,'vars',{'x','L','g'});
Beta = matlabFunction(Beta_temp,'vars',{'x','L','g'});
Gamma = matlabFunction(Gamma_temp,'vars',{'x','L','g'});

G_funcs = cell(6,1);

G_funcs{1} = g_y;
G_funcs{2} = g_dy;
G_funcs{3} = g_ddy;
G_funcs{4} = Alpha;
G_funcs{5} = Beta;
G_funcs{6} = Gamma;

save('TransverseTest','G_funcs');

