function [TrasolExt] = ExtendedSolutionTransverse(Trasol,Dyn_Syst,x_new)
%Extends the solution to also include the position (x,y) of all joints and
%tip of swing leg in addition to extending to include a whole gait, or 
%several gaits. Useful for extra research and for plotting.
%function [solExt] = ExtendedSolution(sol)
%Input...
%sol...     A struct containing values of the polynomial parameters in
%addtion to the values of theta and theta derivative for all time values
%Output...
%SolExt...  Extended solution containing also the positon (x,y) of all
%joints and tip of swing leg.


TrasolExt.xp = [];
TrasolExt.yp = [];
TrasolExt.t = [];
TrasolExt.y = [];
TrasolExt.te = [];
TrasolExt.ye = []; 
TrasolExt.error = [];
TrasolExt.torque = [];

TrasolExt.x0 = [];
TrasolExt.x0 = x_new;

for i = 1:length(Trasol)
    if i == 1
        TrasolExt.t = Trasol(i).t;
        TrasolExt.te = Trasol(i).te;
    else
        TrasolExt.te = [TrasolExt.te; TrasolExt.t(end) + Trasol(i).te];
        TrasolExt.t = [TrasolExt.t; TrasolExt.t(end) + Trasol(i).t];
    end
    
    TrasolExt.y = [TrasolExt.y; Trasol(i).y];
    TrasolExt.error = [TrasolExt.error; Trasol(i).error];
    %solout.extForce = [solout.extForce; solin(ii).extForce];
    
    TrasolExt.torque = [TrasolExt.torque; Trasol(i).torque];
  
end
 
%Fixing the positions
sessions = length(Trasol);

PCM = Dyn_Syst{3};

offset{1} = 0;

for i=1:sessions,
    q = [Trasol(i).y(:,1) Trasol(i).y(:,2:5)];

    [xp{i},yp{i}] = ForwardKinematics(q,PCM);
    
    xp{i} = [zeros(length(xp{i}),1) xp{i}];
    yp{i} = [zeros(length(yp{i}),1) yp{i}];
    
    if mod(i,4) == 3 || (mod(i,4) == 1 && i > 3)
         offset{i+1} = offset{i} + xp{i-1}(end,6);
    else
         offset{i+1} = offset{i};
    end
    TrasolExt.xp = [TrasolExt.xp; xp{i}+offset{i+1}];
    TrasolExt.yp = [TrasolExt.yp; yp{i}];
end

end