function [x,y] = ForwardKinematics(q,PCM)
%Function calculating the positions of each joint + tooltip in (x,y)
%coordinates for each timestep.
%Input...
%q... values of the angles of the joints q1..q5
%PCM... Function handles to the relative position of joints and tip of leg
%based on angles of joints.
%Output...
%x..y.. position of all joints and tip of leg in (x,y) coordinates.

%Robot parameters
[l, s, m, I_m, I_r, N, g] = RobotParameters();
xe = 0;
ye = 0;
timeStep = length(q(:,1));
params = 5;

x = zeros(timeStep,params);
y = zeros(timeStep,params);

for i=1:timeStep,
    for j=1:params
        x(i,j) = PCM{1,j}(l,q(i,:),xe);
        y(i,j) = PCM{2,j}(l,q(i,:),ye);
    end
end

end
