function [q,dq,ddq,dPhi,ddPhi] = extractGeneralizedVariables(the,dthe,ddthe,PQ)
%Function to extract variables from a given the and dthe.

dim = length(PQ(1,:));

q = zeros(1,4);
dq = zeros(1,4);
ddq = zeros(1,4);
dPhi = zeros(1,4);
ddPhi = zeros(1,4);
for j = 1:4,
    for k = 1:dim,
        q(j) = PQ(j,k)*the^(dim-k) + q(j);
        dPhi(j) = (dim-k)*PQ(j,k)*the^(dim-k-1) + dPhi(j);
        ddPhi(j) = (dim-k)*(dim-k-1)*PQ(j,k)*the^(dim-k-2) + ddPhi(j);
    end
    ddq(j) = ddPhi(j)*dthe^2 + ddthe*dPhi(j); %As ddq = Phi''(the)*dthe^2 + Phi'(the)*ddthe
    dq(j) = dPhi(j)*dthe;                       %As dq = Phi'(the)*dthe
end

end

