function [A,B,T,L] = generateLinearMatrices(sol,solExt,Dyn_Syst,LinSys)
%Function to Generate an array of Matrices to be used for the linear system
%, that is dx = Ax+Bv. The goal is to give a certain resolution n, say n =
%100. Then Return the matrices for all increments of their time steps, say
%A(0), A(0.03), A(0.06)
%Input...
%Output...
%A,B,T,L = matrices


n = 100;
PQ = sol(1).CP
dim = PQ(1,:);

A_1 = zeros(9,9,n+1);
A_2 = zeros(9,9,n+1);
A_3 = zeros(9,9,n+1);
A_4 = zeros(9,9,n+1);

B_1 = zeros(9,4,n+1);
B_2 = zeros(9,4,n+1);
B_3 = zeros(9,4,n+1);
B_4 = zeros(9,4,n+1);

T_1 = zeros(n+1,1);
T_2 = zeros(n+1,1);
T_3 = zeros(n+1,1);
T_4 = zeros(n+1,1);

for i = 1:4,
    
    A = @(t) matrix_A_timeFunction(sol,solExt,Dyn_Syst,LinSys,t,i);
    B = @(t) matrix_B_timeFunction(sol,solExt,Dyn_Syst,LinSys,t,i);
    
    for j = 1:n+1
        if i == 1,
            t = solExt.te(i)*(j-1)/n;
            t
            A(t)
            A_1(:,:,j) = A(t);
            B_1(:,:,j) = B(t);
            T_1(j) = t;
        elseif i == 2,
            t = (solExt.te(i)-solExt.te(i-1))*(j-1)/n + solExt.te(1);
            A_2(:,:,j) = A(t);
            B_2(:,:,j) = B(t);
            T_2(j) = t;
        elseif i == 3,
            t = (solExt.te(i)-solExt.te(i-1))*(j-1)/n + solExt.te(2);
            A_3(:,:,j) = A(t);
            B_3(:,:,j) = B(t);
            T_3(j) = t;
        else,
            t = (solExt.te(i)-solExt.te(i-1))*(j-1)/n + solExt.te(3);
            A_4(:,:,j) = A(t);
            B_4(:,:,j) = B(t);
            T_4(j) = t;
        end
    end
        L = switch_Matrix_L(sol,solExt,Dyn_Syst,i);
        if i == 1,
            L_1 = L;
        elseif i == 2,
            L_2 = L;
        elseif i == 3,
            L_3 = L;
        else,
            L_4 = L;
        end
end

A = cell(4,1);
A{1} = A_1;
A{2} = A_2;
A{3} = A_3;
A{4} = A_4;

B = cell(4,1);
B{1} = B_1;
B{2} = B_2;
B{3} = B_3;
B{4} = B_4;

T = cell(4,1);
T{1} = T_1;
T{2} = T_2;
T{3} = T_3;
T{4} = T_4;

L = zeros(9,9,4);
L(:,:,1) = L_1;
L(:,:,2) = L_2;
L(:,:,3) = L_3;
L(:,:,4) = L_4;

save('A_B_L_T_Matrices','A','B','T','L')


