function [the] = thetaTimeFunction(sol,solExt,t_tot,ite)
%Function designed to transform the evolution of theta as stored in sol 
%for iteration ite, into a time dependent function that yields the value of
%theta for a specific time t
%Input...
%sol... the optimal solution stored for a set of points
%solExt... the completed solution of all steps
%ite... the current iteration one wishes to solve for
%Output...
%theta_func... theta as a function of time

%Extracting Solution
% load('Solution_3_1_V2HD');

%Extracting time
T_fin = solExt.te(ite);
 
%Starting time t0 and ending time te
if ite == 1,
    t0 = 0;
    te = solExt.te(ite);
else
    t0 = solExt.te(ite-1);
    te = solExt.te(ite)-t0;
end

%Current time converted
t = t_tot-t0;

%Extracting from sol
th = sol(ite).y(:,1);
n = length(th);

min_t_distance = inf;

if t > sol(ite).t(end),
    rem = 0;
    ct_min = n;
    ct_pos = n;
%     sprintf('t too high for this matrix, interval is %g - %g. Converted to highest possible.',t0,T_fin)
elseif t < sol(ite).t(1),
    rem = 0;
    ct_min = 1;
    ct_pos = 1;
%     sprintf('t too low for this matrix, interval is %g - %g. Converted to lowest possible.',t0,T_fin)
else,
    for i = 1:n,
        disc = abs(t-sol(ite).t(i));
        if disc < min_t_distance,
            if t >= sol(ite).t(i),
                ct = i;
                ct_min = ct;
                ct_pos = ct+1;
                if t == te,
                    rem = 1;
                    ct_pos = ct;
                else,
                    rem = disc/(sol(ite).t(ct_pos)-sol(ite).t(ct_min));
                end
            else
                ct = i-1;
                ct_min = ct;
                ct_pos = ct+1;
                rem = 1- disc/(sol(ite).t(ct_pos)-sol(ite).t(ct_min));
            end
            min_t_distance = disc;
        end
    
    end
end

the = (1-rem)*sol(ite).y(ct_min,1)+rem*sol(ite).y(ct_pos,1);

%  dthe = (1-rem)*sol(ite).y(ct_min,2)+rem*sol(ite).y(ct_pos,2);
 

%  
% %Time interval 
% T_i = te-t0;
% 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
