function [l, s, m, I_m, I_r, N, g] = RobotParameters()
%[l, s, m, I_r, I_r, N, g] = RobDef()
%returns:
% l(1) = length of hind tibia
% l(2) = length of hind femur
% l(3) = length of torso (From COM to either side) (s3+s3)
% l(4) = length of femur
% l(5) = length of tibia
% m(1) = mass of hind tibia
% m(2) = mass of hind femur
% m(3) = mass of torso
% m(4) = mass of femur
% m(5) = mass of tibia
% s(1) = COM offset of hind tibia
% s(2) = COM offset of hind femur
% s(3) = COM offset of torso
% s(4) = COM offset of femur
% s(5) = COM offset of tibia
% Iy(1) = inertia of hind tibia
% Iy(2) = inertia of hind femur
% Iy(3) = inertia of torso
% Iy(4) = inertia of femur
% Iy(5) = inertia of tibia
% Ia(1) = inertia of motor 1
% Ia(2) = inertia of motor 2
% Ia(3) = inertia of motor 3
% Ia(4) = inertia of motor 4
% N = gearing ratio
% g = gravity


% l = [0.15 0.15 0.375 0.15 0.15];
% s = [0.083 0.139 l(3)./2 0.139 0.083];
l = [0.15 0.15 0.375 0.15 0.15];
s = [0.083 0.139 l(3)./2 0.139 0.083];
m = [0.4040 3.211 6.618 3.211 0.4040 9.81];
I_m = [2.26e-5 3.25e-5 3.25e-5 2.26e-5];
N = 50;
I_r = [0.0599-I_m(1).*N.*N 0.0855-I_m(2).*N.*N 0.3157 0.0855-I_m(3).*N.*N 0.0599-I_m(4).*N.*N];
g = 9.81;

end