%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%% Testfile for testing the various functions
%%%%%%%%%%%%%%%%%%%%%

close all
clear all
clc

% Main file 
%clear all

global EPSILON   
global NUM_GAITS
global MAX_FUN_EVALS
global MAX_TORQUE
global NUM_VHC_PARAM
global OPTIM_ALG
global TMAX
global COSTFUNCTION
global Step_Length
global OPTIMIZATION_CRITERIA

%% configuration

EPSILON = 0.007; % tolerance value for floor height - necessary when stians 
                 % gait is involved only (e.g. as initial config for opt. 
                 % parameters)
NUM_GAITS = 1; % number of gaits
MAX_TORQUE = 40; % [Nm]
SILENT_MODE = true; % if true, no ouput is plotted but instead written to 
                    % a .mat file


TMAX = 3; % [s] max. simulation time per set of VHCs.
                   
OPTIM_ALG = 'fminsearch'; % supported: 'Simulated Annealing' and 'fminsearch'
% OPTIM_ALG = 'Simulated Annealing'; % supported: 'Simulated Annealing' and 'fminsearch'
MAX_FUN_EVALS = Inf; 
COSTFUNCTION = 'sciencemag'; % supported: 'sciencemag' and 'kinetic Energy'
OPTIMIZATION_CRITERIA = 'ENERGY';
% OPTIMIZATION_CRITERIA = 'SPEED';

%CHOOSE STEP LENGTH
Step_Length = 1;
% Step_Length = 2;
% Step_Length = 3;

%CHOOSE THE MODEL ORDER
NUM_VHC_PARAM = 4; % number of parameters of the polynomial virtual 
                   % holonomic constraints, that should be used for 
                   % optimization


%% initial configuration
% Access the parameters of the Dynamic System
dim = NUM_VHC_PARAM-1;
if dim == 2,
    %Second Order System
    load('DynamicSystemParameters.mat');
    load('LinearSystemParameters');
elseif dim == 3,
    %Third Order System
    load('DynamicSystemParameters_3Dim.mat');
    load('LinearSystemParameters_3Dim');
elseif dim == 4,
    %Fourth Order System
    load('DynamicSystemParameters_4Dim.mat');
    load('LinearSystemParameters_4Dim');
elseif dim == 5,
    %Fifth Order System
    load('DynamicSystemParameters_5Dim.mat');
    load('LinearSystemParameters_5Dim');
end
 
%Initial configuration
theta0 = 2.2;
tspan = [0 TMAX];
 

%RUNNING OF ALL Functions    
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
         
