function [ f ] = optimizationCostFunction( tspan, theta0, thetae, dtheta0, PQ, Dyn_Syst,phie )
%OPTIMIZATIONCOSTFUNCTION implements a cost function that evaluates the
% kinetic energy of a motion SemiQuad which is constrained by linear virtual 
% holonomic constraints.
%
%[ f,g,H ] = optimizationCostFunction( tspan, theta0, phi0, dtheta0, P )

global COSTFUNCTION

gam = 1;
del = 1;
gosh = 1;

%[solExt, sol] = simulateSingleStep(tspan, theta0, dtheta0, PQ, Dyn_Syst);
sol = simulateSystem(tspan, theta0,dtheta0,Dyn_Syst,PQ);
solExt = ExtendedSolution(sol, Dyn_Syst);


PCM = Dyn_Syst{3};
q = [sol.y(:,1) theta2phi(sol.y(:,1),PQ)];
[xp, yp] = ForwardKinematics(q,PCM);

% if sum(solExt.error) ~= 0 
%     f = Inf;
%     return;
% end

n = length(sol.y(:,1));

EKin = zeros(4,1);
temp = 0;
for i=1:n,
     if yp(i,5) <-0.001,
         temp = temp+ yp(i,5);
     end
end
temp
% switch lower(COSTFUNCTION)
%     case {'sciencemag'}
%         th = sol.y(:,1);
%         dth = sol.y(:,2);
%         torque = sol.torque;
%         torque
%         dphi = dPhi(PQ,th,dth);
%         energy_used = 0;
%         for jj = 1:4
%             energy_used = energy_used + torque(jj+1,:)*dphi(:,jj); % the second term is the energy introduced to the system
%         end
%     case {'kinetic energy'}
%         for jj = 1:length(sol.y(:,1))
%             th = sol.y(jj,1);
%             dth = sol.y(jj,2);
%             EKin(ii) = EKin(ii) + kineticPower(th,dth,PQ);
%         end
% end


[l, s, m, Ia, Iy, N, g] = RobDef();

switch lower(COSTFUNCTION)
    case {'sciencemag'}
        dx = xp(1,end) - xp(1,1);
        f = abs(gam*(sol.y(end,1)-thetae)) +  del*(sum(abs(q(end,2:5)-phie'))) + gosh*abs(temp);%sum(energy_used)/(sum(m) * dx) +  %Can include other limiting terms here
    case {'kinetic energy'}
        f = -sum(EKin);
end

