dim = 2;
params = 5;

nb = mupad('Dynamic_System_4_dim.mn');

%Accessing alpha, beta, gamma and Tor
alpha_var = getVar(nb,'alfa_out_1');
beta_var = getVar(nb,'Beta_out_1');
gamma_var = getVar(nb,'Gamma_out_1');
tor_var = getVar(nb,'Rem_Dyn_Syst_out');
U_1_var = getVar(nb,'U_1_Out');
U_2_var = getVar(nb,'U_2_Out');
M_var = getVar(nb,'M_out');
C_var = getVar(nb,'C_out');
G_var = getVar(nb,'G_out');
alpha_f = matlabFunction(alpha_var,'vars',{'l','m','s','I_r','PQ','the'});
beta_f = matlabFunction(beta_var,'vars',{'l','m','s','I_r','PQ','the'});
gamma_f = matlabFunction(gamma_var,'vars',{'l','m','s','g','PQ','the'});
tor_f = matlabFunction(tor_var,'vars',{'l','m','s','g','I_r','I_m','N','PQ','the','dthe','ddthe'});
U_1_f = matlabFunction(U_1_var,'vars',{'l','m','s','I_r','I_m','N','PQ','the'});
U_2_f = matlabFunction(U_2_var,'vars',{'l','m','s','I_r','I_m','N','PQ','the'});
M_f = matlabFunction(M_var,'vars',{'l','m','s','I_r','I_m','N','PQ','q_o'});
C_f = matlabFunction(C_var,'vars',{'l','m','s','PQ','q_o','dq_o'});
G_f = matlabFunction(G_var,'vars',{'l','m','s','g','PQ','q_o'});


nb2 = mupad('Joint_Leg_Position.mn');
PCM_temp = getVar(nb2,'P_C_M_Out');
PCM = cell(dim,params);

%Convert to Matlab function
for i=1:dim,
    for j=1:params,
        PCM{i,j} = matlabFunction(PCM_temp(i,j));
    end
end

nb3 = mupad('Bezier.mn');
Bez_var = getVar(nb3,'Bez_4');
Bez_f = matlabFunction(Bez_var,'vars',{'P','t_0','t_1'});

abg = {alpha_f,beta_f,gamma_f};
Syst_mat = {M_f,C_f,G_f};
Impact = {U_1_f,U_2_f};

Dyn_Syst = cell(5,1);

Dyn_Syst{1} = abg;
Dyn_Syst{2} = tor_f;
Dyn_Syst{3} = PCM;
Dyn_Syst{4} = Impact;
Dyn_Syst{5} = Bez_f;
Dyn_Syst{6} = Syst_mat;


save('DynamicSystemParameters_4Dim','Dyn_Syst');


%To be done:
%Add evaluating of the Mupad worksheet