%This programme is run to store the G functions needed for the transversal
%Linearization of the system. Unless updates are needed (such as changing
%of the coefficients in the parametrization in form) this should not need 
%to be run as the parameters are already stored.

clc
clear all
close all

nb = mupad('Dynamic_System_3_Dim.mn');

%Accessing G- functions
g_y_temp = getVar(nb,'g_y_out');
g_dy_temp = getVar(nb,'g_dy_out');
g_ddy_temp = getVar(nb,'g_ddy_out');

%Creating Function Calls
g_y = matlabFunction(g_y_temp,'vars',{'PQ','l','m','s','the','g','dthe','ddthe'});
g_dy = matlabFunction(g_dy_temp,'vars',{'PQ','l','m','s','the','dthe'});
g_ddy = matlabFunction(g_ddy_temp,'vars',{'PQ','l','m','s','the','I_r'});

LinSys = cell(3,1);

LinSys{1} = g_y;
LinSys{2} = g_dy;
LinSys{3} = g_ddy;

save('LinearSystemParameters_3Dim','LinSys');