function [value,isterminal,direction] = SwitchEvent(y,ite,count,P_y)
%SWITCHEVENT terminates the integration when y(2) (= d/dt(theta)) crosses
% zero.
%
% from doc odeset:
% Events   The function is of the form
%
% [value,isterminal,direction] = events(t,y)
%
% value, isterminal, and direction are
% vectors for which the ith element corresponds to the ith
% event function: 
% + value(i) is the value of the ith
%   event function.
% + isterminal(i) = 1 if the integration is to terminate at a zero of this 
%   event function, otherwise, 0. 
% + direction(i) = 0 if all zeros are to be located (the default), +1 if 
%   only zeros where the event function is increasing, and -1 if only zeros
%   where the event function is decreasing.
global NUM_VHC_PARAM
global Step_Length

n = length(y);

[l, s, m, I_m, I_r, N, g] = RobotParameters();

if n == 10,
    y_pos_sw = P_y(l,y(1:5),0);
    if count > 2000,
        value = 0;
        isterminal = 1;
        direction = 0;
    elseif ite == 2,
        value = y_pos_sw;
%         value = y_pos_sw-0.01; %Adding a different height to the floor
        isterminal = 1;
        direction = 0;
    elseif  ite == 4,
        value = y_pos_sw;%+0.01;
        isterminal = 1;
        direction = 0;
    else
        value = y(6);
        isterminal = 1;
        direction = 0;
    end
else,    
    thetae = getThetae(Step_Length,NUM_VHC_PARAM-1);
    if count > 2000,
        value = 0;
        isterminal = 1;
        direction = 0;
    elseif ite == 2 || ite == 4,
        value = thetae(ite)-y(1);
        isterminal = 1;
        direction = 0;
    else
        value = y(2);
        isterminal = 1;
        direction = 0;
    end
end
