function [the] = createTimeFunction1(sol,solExt,ite)
%Function designed to transform the evolution of theta as stored in sol 
%for iteration ite, into a time dependent function that yields the value of
%theta for a specific time t
%Input...
%sol... the optimal solution stored for a set of points
%solExt... the completed solution of all steps
%ite... the current iteration one wishes to solve for
%Output...
%theta_func... theta as a function of time

%Extracting time

%Starting time t0
if ite == 1,
    t0 = 0;
else
    t0 = solExt.te(ite-1);
end

%Ending time
te = solExt.te(ite);

%Time interval 
T_i = te-t0;


%Extracting from sol
th = sol(ite).y(:,1);
n = length(th);

syms t

for i = 1:n,
    if t > sol(ite).t(end),
        rem = 0;
        ct_min = n;
        ct_pos = n;
    else,
        disc = abs(t-sol(ite).t(i));
        if disc < min_t_distance,
            if t >= sol(ite).t(i),
                ct = i;
                ct_min = ct;
                ct_pos = ct+1;
                rem = disc/(sol(ite).t(ct_pos)-sol(ite).t(ct_min));
            else
                ct = i-1;
                ct_min = ct;
                ct_pos = ct+1;
                rem = 1- disc/(sol(ite).t(ct_pos)-sol(ite).t(ct_min));
            end
            min_t_distance = disc;
        end
    end
end

 the = @(t) (1-rem)*sol(ite).y(ct_min,1)+rem*sol(ite).y(ct_pos,1);
    
%  dthe = (1-rem)*sol(ite).y(ct_min,2)+rem*sol(ite).y(ct_pos,2);
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
