function [dPhi] = dPhi(PQ, th, dth)
%DPHIBYDT computes the derivate of the virtual holonomic constraint
% polynomials w.r.t. time.
%
%[dphi] = dphiBYdt(PQ, th, dth)
% PQ ... coefficents of the polynomials
% th ... theta (measure of progress)
% dth ... time derivative of theta
%returns:
% dphi ... derivative of the vhc-polynomials w.r.t. time

n = size(PQ,2); % degree of vhc polynomial
step = length(th);

dPhi = zeros(step,4);
for i=1:step,
    for j=1:4,
        for k=1:n,
            dPhi(i,j) = dPhi(i,j) + (n-k)*PQ(j,k)*th(i)^(n-k-1)*dth(i);
        end
    end
end

%dphi = rem(dphi,pi);


% n = size(PQ,2); % degree of vhc polynomial
% 
% dphi = zeros(1,7);
% for j=2:5
%     for k=1:(n-1)
%         dphi(j) = dphi(j) + PQ(j-1,k)*th.^(n-k-1);
%     end
%     dphi(j) = dphi(j) * dth;
% end
% dphi=dphi';
% 
