function [ddPhi] = getDDPhi(PQ, th)
%Function to calculate the double derivative of the parametrization of the DOF
%with respect to th.
%Input...
%PQ... the paramterization coefficients
%th... current value of theta

%Parameters and functions
dim = length(PQ(1,:));

ddPhi = zeros(4,1);

for j=1:4,
    for k=1:dim,
        ddPhi(j) = (dim-k)*(dim-k-1)*PQ(j,k)*th^(dim-k-2) +ddPhi(j);
    end
end

end

