function [dPhi] = getDPhi(PQ, th)
%Function to calculate the derivative of the parametrization of the DOF
%with respect to th.
%Input...
%PQ... the paramterization coefficients
%th... current value of theta
 
dim = length(PQ(1,:));

dPhi = zeros(4,1);
for j=1:4,
    for k=1:dim,
        dPhi(j) = dPhi(j) + (dim-k)*PQ(j,k)*th^(dim-k-1);
    end
end

end

