function [U1,U2] = getImpactModel(Dyn_Syst,sol,PQ,i)
%Retrieves the Impact model matrices U1 and U2 and adds the current values
%of the system.
%Input...
%Dyn_Syst... the dynamic system parameters whereas Dyn_Syst{4} contains the
%function handles for U1 and U2.
%Sol... solution to the system.
%PQ... parameters of the polynomial for the VHC
%i... curent iteration of the system
%Output...
%U1,U2... the impact model matrices.

[l, s, m, I_m, I_r, N, g] = RobotParameters();

th = sol(i).y(end,1);

U_1 = Dyn_Syst{4}{1};
U_2 = Dyn_Syst{4}{2};

U1 = U_1(l,m,s,I_r,I_m,N,PQ,th);
U2 = U_2(l,m,s,I_r,I_m,N,PQ,th);

end


