function [x] = getOptimizeableParameters(Pos,dtheta0,thetae_0,N,Dim)
%Returns the allowable optimizable parameters from the total position
%matrix. That is, the positions in the position matrix that have not been
%set.
%Input...
%Pos... input positional matrix
%Output...
%x... array containing parameters to be optimized.

 
%Normal optimization, no smoothing
%x = [Pos(:,2,1)' Pos(:,3,1)' Pos(:,2,2)' Pos(:,2,3)' Pos(:,3,3)' Pos(:,2,4)' thetae(1) thetae(3) dtheta0]; 

%Optimization with smoothing
if Dim == 2,
    x = [Pos(:,2,1)' Pos(:,3,1)' Pos(:,3,3)'];
elseif Dim == 3,
    x = [Pos(:,2,1)' Pos(:,3,1)' Pos(:,4,1)' Pos(:,3,2)' Pos(:,3,3)' Pos(:,4,3)' Pos(:,3,4)'];
elseif Dim == 4,
    x = [Pos(:,2,1)' Pos(:,3,1)' Pos(:,4,1)' Pos(:,5,1)' Pos(:,3,2)' Pos(:,4,2)' Pos(:,3,3)' Pos(:,4,3)' Pos(:,5,3)' Pos(:,3,4)' Pos(:,4,4)'];
elseif Dim == 5,
    x = [Pos(:,2,1)' Pos(:,3,1)' Pos(:,4,1)' Pos(:,5,1)' Pos(:,6,1)' Pos(:,3,2)' Pos(:,4,2)' Pos(:,5,2)' Pos(:,3,3)' Pos(:,4,3)' Pos(:,5,3)' Pos(:,6,3)' Pos(:,3,4)' Pos(:,4,4)' Pos(:,5,4)'];    
end

x = [x thetae_0(1) thetae_0(2) dtheta0];
end
    
    
