function [y1] = myfunBetaOverAlpha(PQ_tot,Alpha,Beta,ite)
%Function Returning Beta/Alpha to be used in the integration function.
%Input...
%the... the current value of theta
%PQ... the optimized parametrization
%Alpha... the function handle for the alpha function
%Beta... the function handle for the beta function
%Ite... current iteration
%Output... y1 the output of the function


[l, s, m, I_m, I_r, N, g] = RobotParameters();

PQ = PQ_tot(:,:,ite);


%Create Symbolic Theta
syms theta

a = Alpha(l,m,s,I_r,PQ,theta);
b = Beta(l,m,s,I_r,PQ,theta);

y1_temp = b/a;

y1 = matlabFunction(y1_temp);

end
