function [t_r] = plotGeneralizedCoordinates(Trasol)
% Function to plot the transverse coordinates wrt time, for all steps of
% the gait.
%Input... LinSol, the linear solution for all the steps.
%Output... 

za = length(Trasol);

if za ==1,

n = length(Linsol(1).y(:,1));

%Disconnect and Extend each coordinate

t_r = zeros(n,10);
t_tot = 0;

for i = 1:10,
    t_r_temp = [];
    
        t_r_temp = [t_r_temp; Trasol(1).y(:,i)];
    
    t_r(:,i) = t_r_temp;
end

t_tot = Trasol(1).te; 
% t = linspace(0,t_tot,n);

t1 = Trasol(1).t;

t = [t1];

%Color Spectre
color_style = ['r','n','b','g'];

%Plot Error Evolution of theta
figure 
plot(t,t_r(:,1),'r')
title('Evolution of \theta')
xlabel('t')
ylabel('\theta')
grid on

%Plot Error Evolution of dtheta
figure 
plot(t,t_r(:,6),'r')
title('Evolution of d\theta')
xlabel('t')
ylabel('\theta')
grid on

%Plot Evolution of q
figure, hold on
plot(t,t_r(:,2),'r')
plot(t,t_r(:,3),'k')
plot(t,t_r(:,4),'b')
plot(t,t_r(:,5),'g')
title('Evolution of q');
xlabel('t')
ylabel('q2,q3,q4,q5')
legend('q2','q3','q4','q5','Location','SouthWest')
grid on
hold off

%Plot Error Evolution of dy
figure, hold on
plot(t,t_r(:,7),'r')
plot(t,t_r(:,8),'k')
plot(t,t_r(:,9),'b')
plot(t,t_r(:,10),'g')
title('Evolution of dq');
xlabel('t')
ylabel('dq_1,dq_2,dq_3,dq_4')
legend('dq_1','dq_2','dq_3','dq_4','Location','SouthWest')
grid on
hold off

elseif za ==4,

n_1 = length(Trasol(1).y(:,1))+length(Trasol(2).y(:,1));
n_2 = length(Trasol(3).y(:,1))+length(Trasol(4).y(:,1));
n = n_1 + n_2;

%Disconnect and Extend each coordinate

t_r = zeros(n,10);
t_tot = 0;

for i = 1:10,
    t_r_temp = [];
    for j = 1:4,
        t_r_temp = [t_r_temp; Trasol(j).y(:,i)];
    end
    t_r(:,i) = t_r_temp;
end

t_tot = Trasol(1).te+Trasol(2).te+Trasol(3).te+Trasol(4).te
% t = linspace(0,t_tot,n);

t1 = Trasol(1).t;
t2 = Trasol(2).t+Trasol(1).te;
t3 = Trasol(3).t+Trasol(1).te+Trasol(2).te;
t4 = Trasol(4).t+Trasol(1).te+Trasol(2).te+Trasol(3).te;

t_tot_1 = [t1;t2];
t_tot_2 = [t3;t4];
t = [t1;t2;t3;t4];

%Color Spectre
color_style = ['r','n','b','g'];

%Plot Error Evolution of theta
figure 
hold on
plot(t_tot_1,t_r(1:n_1,1),'r')
plot([t_tot_1(end) t_tot_2(1)],[t_r(n_1,1) t_r(n_1+1,1)],':r')
plot(t_tot_2,t_r(n_1+1:end,1),'r')
title('Evolution of \theta')
xlabel('t')
ylabel('\theta')
grid on
hold off

%Plot Error Evolution of dtheta
figure 
hold on
plot(t_tot_1,t_r(1:n_1,6),'r')
plot([t_tot_1(end) t_tot_2(1)],[t_r(n_1,6) t_r(n_1+1,6)],':r')
plot(t_tot_2,t_r(n_1+1:end,6),'r')
title('Evolution of d\theta')
xlabel('t')
ylabel('\theta')
grid on
hold off

%Plot Evolution of q
figure, hold on
l1 =  plot(t_tot_1,t_r(1:n_1,2),'r')
plot([t_tot_1(end) t_tot_2(1)],[t_r(n_1,2) t_r(n_1+1,2)],':r')
plot(t_tot_2,t_r(n_1+1:end,2),'r')
l2 = plot(t_tot_1,t_r(1:n_1,3),'k')
plot([t_tot_1(end) t_tot_2(1)],[t_r(n_1,3) t_r(n_1+1,3)],':k')
plot(t_tot_2,t_r(n_1+1:end,3),'k')
l3 = plot(t_tot_1,t_r(1:n_1,4),'b')
plot([t_tot_1(end) t_tot_2(1)],[t_r(n_1,4) t_r(n_1+1,4)],':b')
plot(t_tot_2,t_r(n_1+1:end,4),'b')
l4 = plot(t_tot_1,t_r(1:n_1,5),'g')
plot([t_tot_1(end) t_tot_2(1)],[t_r(n_1,5) t_r(n_1+1,5)],':g')
plot(t_tot_2,t_r(n_1+1:end,5),'g')
title('Evolution of q');
xlabel('t')
ylabel('q2,q3,q4,q5')
legend([l1 l2 l3 l4],'q2','q3','q4','q5','Location','SouthWest')
grid on
hold off

%Plot Error Evolution of dy
figure, hold on
l1 = plot(t_tot_1,t_r(1:n_1,7),'r')
plot([t_tot_1(end) t_tot_2(1)],[t_r(n_1,7) t_r(n_1+1,7)],':r')
plot(t_tot_2,t_r(n_1+1:end,7),'r')
l2 = plot(t_tot_1,t_r(1:n_1,8),'k')
plot([t_tot_1(end) t_tot_2(1)],[t_r(n_1,8) t_r(n_1+1,8)],':k')
plot(t_tot_2,t_r(n_1+1:end,8),'k')
l3 = plot(t_tot_1,t_r(1:n_1,9),'b')
plot([t_tot_1(end) t_tot_2(1)],[t_r(n_1,9) t_r(n_1+1,9)],':b')
plot(t_tot_2,t_r(n_1+1:end,9),'b')
l4 = plot(t_tot_1,t_r(1:n_1,10),'g')
plot([t_tot_1(end) t_tot_2(1)],[t_r(n_1,10) t_r(n_1+1,10)],':g')
plot(t_tot_2,t_r(n_1+1:end,10),'g')
title('Evolution of dq');
xlabel('t')
ylabel('dq_1,dq_2,dq_3,dq_4')
legend([l1 l2 l3 l4],'dq_1','dq_2','dq_3','dq_4','Location','SouthWest')
grid on
hold off

else,
   
n = length(Trasol(1).y(:,1))+length(Trasol(2).y(:,1));

%Disconnect and Extend each coordinate

t_r = zeros(n,10);
t_tot = 0;

for i = 1:10,
    t_r_temp = [];
    for j = 1:2,
        t_r_temp = [t_r_temp; Trasol(j).y(:,i)];
    end
    t_r(:,i) = t_r_temp;
end

t1 = Trasol(1).t;
t2 = Trasol(2).t+Linsol(1).t(end);

t = [t1;t2];

%Color Spectre
color_style = ['r','n','b','g'];

%Plot Error Evolution of theta
figure 
plot(t,t_r(:,1),'r')
title('Evolution of \theta')
xlabel('t')
ylabel('\theta')
grid on

%Plot Error Evolution of dtheta
figure 
plot(t,t_r(:,6),'r')
title('Evolution of d\theta')
xlabel('t')
ylabel('\theta')
grid on

%Plot Evolution of q
figure, hold on
plot(t,t_r(:,2),'r')
plot(t,t_r(:,3),'k')
plot(t,t_r(:,4),'b')
plot(t,t_r(:,5),'g')
title('Evolution of q');
xlabel('t')
ylabel('q2,q3,q4,q5')
legend('q2','q3','q4','q5','Location','SouthWest')
grid on
hold off

%Plot Error Evolution of dy
figure, hold on
plot(t,t_r(:,7),'r')
plot(t,t_r(:,8),'k')
plot(t,t_r(:,9),'b')
plot(t,t_r(:,10),'g')
title('Evolution of dq');
xlabel('t')
ylabel('dq_1,dq_2,dq_3,dq_4')
legend('dq_1','dq_2','dq_3','dq_4','Location','SouthWest')
grid on
hold off
    
    
end

end