function plotMultiTransversePhasePortrait(Trasol)
%A function designed to plot the phase portrait of the system [th;dth]
%togetether with the phase portrait of the estimated Linear System
%[th_est;dth_est] to quickly compare the two.
%Input...
%sol, the solution of the nonlinear system
%LinSol, the solution of the linear system
%output...

% n = length(LinSolExt{1}.y(:,1))+length(LinSolExt{2}.y(:,1))+length(LinSolExt{3}.y(:,1))+length(LinSolExt{4}.y(:,1));
% 
th_1 = [sol(1).y(:,1);sol(2).y(:,1)];
th_2 = [sol(3).y(:,1);sol(4).y(:,1)];
dth_1 = [sol(1).y(:,2);sol(2).y(:,2)];
dth_2 = [sol(3).y(:,2);sol(4).y(:,2)];

min1_1 = min(th_1);
min1_2 = min(th_2);
max1_1 = max(th_1);
max1_2 = max(th_2);
min2_1 = min(dth_1);
min2_2 = min(dth_2);
max2_1 = max(dth_1);
max2_2 = max(dth_2);
min_val_1 = min(min1_1,min1_2);
max_val_1 = max(max1_1,max1_2);
min_val_2 = min(min2_1,min2_2);
max_val_2 = max(max2_1,max2_2);

% th_est = zeros(n,2);
% 
% %Extending the values of theta and dtheta for all 4 steps
% for i = 1:2,
%     th_temp = [];
%     for j = 1:4,
%         th_temp = [th_temp; LinSolExt{j}.y(:,i)];
%     end
%     th_est(:,i) = th_temp;
% end

th_est = [];
th_est_1 = [Trasol(1).y(:,1); Trasol(2).y(:,1)];
th_est_2 = [Trasol(3).y(:,1); Trasol(4).y(:,1)];
dth_est_1 = [Trasol(1).y(:,6); Trasol(2).y(:,6)];
dth_est_2 = [Trasol(3).y(:,6); Trasol(4).y(:,6)];
 

%Plotting the Phase Plot
figure
hold on
l1 = plot(th_1,dth_1,'r')
plot([th_1(end) th_2(1)],[dth_1(end) dth_2(1)],':r')
plot(th_2,dth_2,'r')
plot([th_2(end) th_1(1)],[dth_2(end) dth_1(1)],':r')
l2 = plot(th_est_1,dth_est_1,'k')
plot([th_est_1(end) th_est_2(1)],[dth_est_1(end) dth_est_2(1)],':k')
plot(th_est_2,dth_est_2,'k')
plot([th_est_2(end) th_est_1(1)],[dth_est_2(end) dth_est_1(1)],':k')
title('Phase Plot of the Real and Estimated values of [th;dth]')
xlabel('th')
ylabel('dth')
legend([l1 l2],'[\theta,d\theta] Optimal','[\theta,d\theta] Real','Location','SouthEast')
axis([min_val_1-0.4 max_val_1+0.4 min_val_2-1 max_val_2+1]);
grid on
hold on
end