function [] = plotPos(solExt,PoC)
%Plots a single position of the semiquad. To be used for estimating
%starting positions and midway configurations.
%function [] = plotPos(sol)
%Input...
%solExt ... solExt struct containing solution (sol) with the added x,y
%variables of the joints.
%PoC ..... PoC (Percentage of Completion) is the percentage of the gait completion, to be
%transformed into appropriate integer within the length of the solution.
%Output...
%nothing, but the figures will be created and shown.

% h2 = figure(2); hold on;
% h1 = figure(1); hold on;

x = solExt.xp;
y = solExt.yp;
th = solExt.y(:,1);
dth = solExt.y(:,2);

%% Plotting routine

color = 'r';

% %set (SurfaceModel, 'xdata', surface(:,1), 'ydata', surface(:,2));
% h2 = figure(2);
% PhaseModel = line(0,0,'color',color,'EraseMode','none','linewidth',1);
% PhaseTitle = title('Phase plot');
% %axis([min(theta(:,1)) max(theta(:,1)) min(theta(:,2)) max(theta(:,2))]);


h1 = figure(1);
xlabel('x (m)');
ylabel('y (m)');
grid on
HandModel = line(0,0,'color',color,'Marker','.');
SurfaceModel = line(0,0,'color','b','linewidth',1);
HandTitle = title('Motion Trajectories') ;
axis equal;
axis([-1.0 1.0 -1 1]);

% xor for update behaviour
set (HandModel,'EraseMode','none');
set (HandTitle,'EraseMode','none');

grid on;

%Transforming step
TotalTime = length(solExt.xp);
step = round((PoC*TotalTime)/100);
if step==0
    step = 1;
end

%The plot
co = [ x(step,:).' y(step,:).'];


set(HandModel,'xdata',co(:,1),'ydata',co(:,2));
    titlestring = ['Time Step ' num2str(step) '/' num2str(TotalTime)];
    set(HandTitle,'String',titlestring);
%     if ~isempty(th)
%         set(PhaseModel,'xdata', th(1:step), 'ydata', dth(1:step));
%     end
    
drawnow;



