function plotSingleTorque(sol,Trasol,ite)
%Function to plot the torque for the nonlinear system
%Input...
%sol

t1 = sol(1).t;
t2 = sol(2).t+sol(1).te;
t3 = sol(3).t+sol(1).te+sol(2).te;
t4 = sol(4).t+sol(1).te+sol(2).te+sol(3).te; 

t_1 = [t1;t2]
t_2 = [t3;t4];

te1 = Trasol(1).t;
te2 = Trasol(2).t+Trasol(1).te;
te3 = Trasol(3).t+Trasol(1).te+Trasol(2).te;
te4 = Trasol(4).t+Trasol(1).te+Trasol(2).te+Trasol(3).te; 

te_1 = [te1;te2]
te_2 = [te3;te4];

nite = 5-ite;

tor_1 = [sol(1).torque(:,ite);sol(2).torque(:,ite)];
tor_2 = [sol(3).torque(:,nite);sol(4).torque(:,nite)];
tore_1 = [Trasol(1).torque(:,ite);Trasol(2).torque(:,ite)];
tore_2 = [Trasol(3).torque(:,nite);Trasol(4).torque(:,nite)];

ite_str = int2str(ite);
type = strcat('\tau','_',ite_str);

figure
hold on
l1 = plot(t_1,tor_1(:),'r')
plot([t_1(end) t_2(1)],[tor_1(end) tor_2(1)],':r')
plot(t_2,tor_2(:),'r')
l2 = plot(te_1,tore_1(:),'k')
plot([te_1(end) te_2(1)],[tore_1(end) tore_2(1)],':k')
plot(te_2,tore_2(:),'k')
title('Evolution of Torques');
xlabel('t')
ylabel(type)
legend([l1,l2],'Optimal','Actual','Location','SouthWest')
grid on 

end