function plotTorque(sol)
%Function to plot the torque for the nonlinear system
%Input...
%sol

t1 = sol(1).t;
t2 = sol(2).t+sol(1).te;
t3 = sol(3).t+sol(1).te+sol(2).te;
t4 = sol(4).t+sol(1).te+sol(2).te+sol(3).te; 

t_1 = [t1;t2]
t_2 = [t3;t4];

tor_1 = [sol(1).torque;sol(2).torque];
tor_2 = [sol(3).torque;sol(4).torque];

figure
hold on
l1 = plot(t_1,tor_1(:,1),'r')
plot([t_1(end) t_2(1)],[tor_1(end,1) tor_2(1,4)],':r')
plot(t_2,tor_2(:,4),'r')
l2 = plot(t_1,tor_1(:,2),'k')
plot([t_1(end) t_2(1)],[tor_1(end,2) tor_2(1,3)],':k')
plot(t_2,tor_2(:,3),'k')
l3 = plot(t_1,tor_1(:,3),'b')
plot([t_1(end) t_2(1)],[tor_1(end,3) tor_2(1,2)],':b')
plot(t_2,tor_2(:,2),'b')
l4 = plot(t_1,tor_1(:,4),'m')
plot([t_1(end) t_2(1)],[tor_1(end,4) tor_2(1,1)],':m')
plot(t_2,tor_2(:,1),'m')
title('Evolution of Torques');
xlabel('t')
ylabel('\tau_1,\tau_2,\tau_3,\tau_4')
legend([l1,l2,l3,l4],'\tau_1','\tau_2','\tau_3','\tau_4','Location','SouthWest')
grid on 

end