function [t_r] = plotTransverseCoordinates(Linsol)
% Function to plot the transverse coordinates wrt time, for all steps of
% the gait.
%Input... LinSol, the linear solution for all the steps.
%Output... 

za = length(Linsol);

if za ==1,

n = length(Linsol(1).y(:,1));

%Disconnect and Extend each coordinate

t_r = zeros(n,9);
t_tot = 0;

for i = 1:9,
    t_r_temp = [];
    
        t_r_temp = [t_r_temp; Linsol(1).y(:,i)];
    
    t_r(:,i) = t_r_temp;
end

t_tot = Linsol(1).te; 
% t = linspace(0,t_tot,n);

t1 = Linsol(1).t;

t = [t1];

%Color Spectre
color_style = ['r','n','b','g'];

%Plot Error Evolution of I
figure 
plot(t,t_r(:,1),'r')
title('Error Evolution of I')
xlabel('t')
ylabel('I')
grid on

%Plot Error Evolution of y
figure, hold on
plot(t,t_r(:,2),'r')
plot(t,t_r(:,3),'k')
plot(t,t_r(:,4),'b')
plot(t,t_r(:,5),'g')
title('Error Evolution of y');
xlabel('t')
ylabel('y1,y2,y3,y4')
legend('y1','y2','y3','y4','Location','SouthWest')
grid on
hold off

%Plot Error Evolution of dy
figure, hold on
plot(t,t_r(:,6),'r')
plot(t,t_r(:,7),'k')
plot(t,t_r(:,8),'b')
plot(t,t_r(:,9),'g')
title('Error Evolution of dy');
xlabel('t')
ylabel('dy_1,dy_2,dy_3,dy_4')
legend('dy_1','dy_2','dy_3','dy_4','Location','SouthWest')
grid on
hold off

elseif za ==4,

n = length(Linsol(1).y(:,1))+length(Linsol(2).y(:,1))+length(Linsol(3).y(:,1))+length(Linsol(4).y(:,1));

%Disconnect and Extend each coordinate

t_r = zeros(n,9);
t_tot = 0;

for i = 1:9,
    t_r_temp = [];
    for j = 1:4,
        t_r_temp = [t_r_temp; Linsol(j).y(:,i)];
    end
    t_r(:,i) = t_r_temp;
end

t_tot = Linsol(1).te+Linsol(2).te+Linsol(3).te+Linsol(4).te
% t = linspace(0,t_tot,n);

t1 = Linsol(1).t;
t2 = Linsol(2).t+Linsol(1).te;
t3 = Linsol(3).t+Linsol(1).te+Linsol(2).te;
t4 = Linsol(4).t+Linsol(1).te+Linsol(2).te+Linsol(3).te;

t = [t1;t2;t3;t4];
t_1 = [t1;t2]
t_2 = [t3;t4];

n_1 = length(t_1);

%Color Spectre
color_style = ['r','n','b','g'];

%Plot Error Evolution of I
figure 
hold on
plot(t_1,t_r(1:n_1,1),'r')
plot([t_1(end) t_2(1)],[t_r(n_1,1) t_r(n_1+1,1)],':r')
plot(t_2,t_r(n_1+1:end,1),'r')
title('Error Evolution of I')
xlabel('t')
ylabel('I')
grid on
hold off

%Plot Error Evolution of y
figure, hold on
l1 = plot(t_1,t_r(1:n_1,2),'r')
plot([t_1(end) t_2(1)],[t_r(n_1,2) t_r(n_1+1,2)],':r')
plot(t_2,t_r(n_1+1:end,2),'r')
l2 = plot(t_1,t_r(1:n_1,3),'k')
plot([t_1(end) t_2(1)],[t_r(n_1,3) t_r(n_1+1,3)],':k')
plot(t_2,t_r(n_1+1:end,3),'k')
l3 = plot(t_1,t_r(1:n_1,4),'b')
plot([t_1(end) t_2(1)],[t_r(n_1,4) t_r(n_1+1,4)],':b')
plot(t_2,t_r(n_1+1:end,4),'b')
l4 = plot(t_1,t_r(1:n_1,5),'g')
plot([t_1(end) t_2(1)],[t_r(n_1,5) t_r(n_1+1,5)],':g')
plot(t_2,t_r(n_1+1:end,5),'g')
title('Error Evolution of y');
xlabel('t')
ylabel('y1,y2,y3,y4')
legend([l1 l2 l3 l4],'y1','y2','y3','y4','Location','SouthWest')
grid on
hold off

%Plot Error Evolution of dy
figure, hold on
l1 = plot(t_1,t_r(1:n_1,6),'r')
plot([t_1(end) t_2(1)],[t_r(n_1,6) t_r(n_1+1,6)],':r')
plot(t_2,t_r(n_1+1:end,6),'r')
l2 = plot(t_1,t_r(1:n_1,7),'k')
plot([t_1(end) t_2(1)],[t_r(n_1,7) t_r(n_1+1,7)],':k')
plot(t_2,t_r(n_1+1:end,7),'k')
l3 = plot(t_1,t_r(1:n_1,8),'b')
plot([t_1(end) t_2(1)],[t_r(n_1,8) t_r(n_1+1,8)],':b')
plot(t_2,t_r(n_1+1:end,8),'b')
l4 = plot(t_1,t_r(1:n_1,9),'g')
plot([t_1(end) t_2(1)],[t_r(n_1,9) t_r(n_1+1,9)],':g')
plot(t_2,t_r(n_1+1:end,9),'g')
title('Error Evolution of dy');
xlabel('t')
ylabel('dy_1,dy_2,dy_3,dy_4')
legend([l1 l2 l3 l4],'dy_1','dy_2','dy_3','dy_4','Location','SouthWest')
grid on
hold off 

else,
   
n = length(Linsol(1).y(:,1))+length(Linsol(2).y(:,1));

%Disconnect and Extend each coordinate

t_r = zeros(n,9);
t_tot = 0;

for i = 1:9,
    t_r_temp = [];
    for j = 1:2,
        t_r_temp = [t_r_temp; Linsol(j).y(:,i)];
    end
    t_r(:,i) = t_r_temp;
end

t1 = Linsol(1).t;
t2 = Linsol(2).t+Linsol(1).t(end);

t = [t1;t2];

%Color Spectre
color_style = ['r','n','b','g'];

%Plot Error Evolution of I
figure 
plot(t,t_r(:,1),'r')
title('Error Evolution of I')
xlabel('t')
ylabel('I')
grid on

%Plot Error Evolution of y
figure, hold on
plot(t,t_r(:,2),'r')
plot(t,t_r(:,3),'k')
plot(t,t_r(:,4),'b')
plot(t,t_r(:,5),'g')
title('Error Evolution of y');
xlabel('t')
ylabel('y1,y2,y3,y4')
legend('y1','y2','y3','y4','Location','SouthWest')
grid on
hold off

%Plot Error Evolution of dy
figure, hold on
plot(t,t_r(:,6),'r')
plot(t,t_r(:,7),'k')
plot(t,t_r(:,8),'b')
plot(t,t_r(:,9),'g')
title('Error Evolution of dy');
xlabel('t')
ylabel('dy_1,dy_2,dy_3,dy_4')
legend('dy_1','dy_2','dy_3','dy_4','Location','SouthWest')
grid on
hold off     
    
    
end

end

