function plotTransversePhasePortrait(sol,Trasol,original,create,lines,color_Style)
%A function designed to plot the phase portrait of the system [th;dth]
%togetether with the phase portrait of the estimated Linear System
%[th_est;dth_est] to quickly compare the two.
%Input...
%sol, the solution of the nonlinear system
%LinSol, the solution of the linear system
%output...

% n = length(LinSolExt{1}.y(:,1))+length(LinSolExt{2}.y(:,1))+length(LinSolExt{3}.y(:,1))+length(LinSolExt{4}.y(:,1));
% 
th_1 = [sol(1).y(:,1);sol(2).y(:,1)];
th_2 = [sol(3).y(:,1);sol(4).y(:,1)];
dth_1 = [sol(1).y(:,2);sol(2).y(:,2)];
dth_2 = [sol(3).y(:,2);sol(4).y(:,2)];

min1_1 = min(th_1);
min1_2 = min(th_2);
max1_1 = max(th_1);
max1_2 = max(th_2);
min2_1 = min(dth_1);
min2_2 = min(dth_2);
max2_1 = max(dth_1);
max2_2 = max(dth_2);
min_val_1 = min(min1_1,min1_2)
max_val_1 = max(max1_1,max1_2)
min_val_2 = min(min2_1,min2_2)
max_val_2 = max(max2_1,max2_2)

% th_est = zeros(n,2);
% 
% %Extending the values of theta and dtheta for all 4 steps
% for i = 1:2,
%     th_temp = [];
%     for j = 1:4,
%         th_temp = [th_temp; LinSolExt{j}.y(:,i)];
%     end
%     th_est(:,i) = th_temp;
% end

 
    
    
th_est = [];
th_est_1 = [Trasol(1).y(:,1); Trasol(2).y(:,1)];
th_est_2 = [Trasol(3).y(:,1); Trasol(4).y(:,1)];
dth_est_1 = [Trasol(1).y(:,6); Trasol(2).y(:,6)];
dth_est_2 = [Trasol(3).y(:,6); Trasol(4).y(:,6)];


%Plotting the Phase Plot
if create,
    figure
end

%Selection of Colors
if color_Style == 1,
    c='k';
    c_fix = ':k';
    c_mix = '*k';
elseif color_Style == 2,
    c = 'b';
    c_fix = ':b';
    c_mix = '*b';
elseif color_Style == 3,
    c = 'g';
    c_fix = ':g';
    c_mix = '*g';
elseif color_Style == 4,
    c = 'm'
    c_fix = ':m';
    c_mix = '*m';
end




hold on
if lines(1)
    if original,
        l1 = plot(th_1,dth_1,'r')
        plot([th_1(end) th_2(1)],[dth_1(end) dth_2(1)],':r')
        plot(th_2,dth_2,'r')
        plot([th_2(end) th_1(1)],[dth_2(end) dth_1(1)],':r')
    end
    l2 = plot(th_est_1,dth_est_1,c)
    plot([th_est_1(end) th_est_2(1)],[dth_est_1(end) dth_est_2(1)],c_fix)
    plot(th_est_2,dth_est_2,c)
    if lines(2)
        th_est_end = [Trasol(4).yf(1); Trasol(4).yf(6)]
        plot([th_est_2(end) th_est_end(1)],[dth_est_2(end) th_est_end(2)],c_fix)
        plot(th_est_end(1),th_est_end(2),c_mix)
    end
else,
    if original,
        l1 = plot(th_1,dth_1,'r')
        plot(th_2,dth_2,'r')
        legend([l1 l2],'[\theta,d\theta] Optimal','[\theta,d\theta] Actual','Location','SouthEast');
    end

    l2 = plot(th_est_1,dth_est_1,c)
    plot(th_est_2,dth_est_2,c)
end
% title('Phase Plot of the Real and Estimated values of [\theta;d\theta]')
title('Phase Plot for the 10-Dimensional System for values of [\theta,d\theta]')
xlabel('th')
ylabel('dth')
% if original,
%     legend(l1,'[\theta,d\theta] Optimal','Location','SouthEast')
%     legend(l2,'[\theta,d\theta] Real')
% end
axis([min_val_1-0.4 max_val_1+0.4 min_val_2-1 max_val_2+1]);

grid on
hold on

end




