function [LinSolExt,Linsol] = simulateTotalLinearSystem(sol,PQ_tot,Dyn_Syst,I0_y0_dy0,LinSys)
% A function to simulate the total evolution of the Linear System including
% each of the movements and all switches. 
%Input...
%sol... the precalculated nonlinear solution. Acting as the reference
%values for the solution of the linear system.
%PQ_tot... the complete group of matrices containing the parametrizising of
%the DOF.
%Dyn_Syst... function handles to the dynamic system preloaded.
%LinSys... function handles to the linear System.
%Output...
%LinSolExt... the extended linear solution containing both the full time
%evolution of the linear parameters (the transverse) and the error values
%compared to the nonlinear system. 

%Let'sa begin!

tspan = [0 3];

% LinSol = cell(4,1);
 
%Initial Transverse Coordinates (0 for default value = no starting errors)

% 
% I0 = 0.0;
% y0 = [0;0;0;0];
% dy0 = [0;0;0;0];
% 
% I0_y0_dy0 = [I0;y0;dy0]; 

 
% load('Constant_Gain_7');
load('Regulator_2');


for i = 1:4,
% for i = 1:2,
    
    %Calculate Linear Evolution 
    [Linsol(i)] = simulateLinearSystem(tspan,I0_y0_dy0,sol,PQ_tot,LinSys,Dyn_Syst,i,K{i});
    
%     Calculate The Switch
%     if i ==1, %TO BE REMOVED
    [I0_y0_dy0,L_2] = switchHandling(Linsol(i),sol,PQ_tot,Dyn_Syst,i)
%     end         %TO BE REMOVED

    sprintf('SWITCHING')
    Linsol(i).ye = I0_y0_dy0;
end

% Linsol(end).y = [Linsol(end).y; Linsol(end).ye];
% Linsol(end).t = [Linsol(end).t; Linsol(end).t(end)];
%Put together LinSolExt
% LinSolExt = extendedLinearSolution(LinSol,sol,PQ_tot,Dyn_Syst);
LinSolExt = 0;

end
