function [P] = smoothPos(Pos,Pos_prev,theta0,thetae,theta0_prev,Phi0,ite)
%Function that sets the starting position of a step equal to the ending
%configuration of the previous step, in addtion to determine the second
%position configuration bases on requirements of C2 smoothness. 
%Input...
%Pos... Current optimal values of the position values of current step,
%including the mandatory set ones.
%Pos_prev...previous Position, after any eventual changes due to smoothness
%requirements.
%theta0... Starting value for theta at this step --> thus theta0 == thetae
%for the previous step, except during switches that will be handled as a
%special occasion.
%thetae... Desired ending configuration for theta
%theta0_prev... starting value for theta at the previous step.
%Phi0... Previous configuration at the end of the previous step
%ite... Current iteration of the steps

P = Pos;
 


P(:,1) = Phi0;
 
if ite == 3,
    % To ensure the right position is compared with the value before the
    % switch.
    Pos_prev = - [Pos_prev(4,:); Pos_prev(3,:); Pos_prev(2,:); Pos_prev(1,:)];
end

T = (thetae-theta0)/(theta0-theta0_prev);

q1 = Pos(:,3) - (Pos_prev(:,end)-Pos_prev(:,end-1))*T -(Pos_prev(:,end)-2*Pos_prev(:,end-1)+Pos_prev(:,end-2))*T^2;

P(:,2) = q1;

end

