function [Pos] = updatePos(x,Pos,N,Dim)%,thetae_opt,theta0,dtheta_opt,tspan,Dyn_Syst)
%Transform the optimized edited positions in array x, back into the
%complete Position matrix.


%Normal optimization, no smoothing
% Pos(:,2,1) = x(1:4);
% Pos(:,3,1) = x(5:8);
% Pos(:,2,2) = x(9:12);
% Pos(:,2,3) = x(13:16);
% Pos(:,3,3) = x(17:20);
% Pos(:,2,4) = x(21:24);

%Optimization with smoothing
if Dim == 2,
    Pos(:,2,1) = x(1:4);
    Pos(:,3,1) = x(5:8);
    Pos(:,3,3) = x(9:12);
    
    
elseif Dim == 3,
    Pos(:,2,1) = x(1:4);
    Pos(:,3,1) = x(5:8);
    Pos(:,4,1) = x(9:12);
    Pos(:,3,2) = x(13:16);
    Pos(:,3,3) = x(17:20);
    Pos(:,4,3) = x(21:24);
    Pos(:,3,4) = x(25:28);
elseif Dim == 4,
    Pos(:,2,1) = x(1:4);
    Pos(:,3,1) = x(5:8);
    Pos(:,4,1) = x(9:12);
    Pos(:,5,1) = x(13:16);
    Pos(:,3,2) = x(17:20);
    Pos(:,4,2) = x(21:24);
    Pos(:,3,3) = x(25:28);
    Pos(:,4,3) = x(29:32);
    Pos(:,5,3) = x(33:36);
    Pos(:,3,4) = x(37:40);
    Pos(:,4,4) = x(41:44);
elseif Dim == 5,
    Pos(:,2,1) = x(1:4);
    Pos(:,3,1) = x(5:8);
    Pos(:,4,1) = x(9:12);
    Pos(:,5,1) = x(13:16);
    Pos(:,6,1) = x(17:20);
    Pos(:,3,2) = x(21:24);
    Pos(:,4,2) = x(25:28);
    Pos(:,5,2) = x(29:32);
    Pos(:,3,3) = x(33:36);
    Pos(:,4,3) = x(37:40);
    Pos(:,5,3) = x(41:44);
    Pos(:,6,3) = x(45:48);
    Pos(:,3,4) = x(49:52);
    Pos(:,4,4) = x(53:56);
    Pos(:,5,4) = x(57:60);
end

 